import { type IHsl, type Particle } from "tsparticles-engine";
import type { IImageShape } from "./IImageShape";
export interface IImage {
    color?: IHsl;
    element?: HTMLImageElement;
    error: boolean;
    loading: boolean;
    name: string;
    ratio?: number;
    replaceColor?: boolean;
    source: string;
    svgData?: string;
    type: string;
}
export interface IParticleImage {
    color?: IHsl;
    data: IImage;
    element?: HTMLImageElement;
    loaded?: boolean;
    ratio: number;
    replaceColor: boolean;
    source: string;
}
export type ImageParticle = Particle & {
    image?: IParticleImage;
};
export declare function loadImage(image: IImage): Promise<void>;
export declare function downloadSvgImage(image: IImage): Promise<void>;
export declare function replaceImageColor(image: IImage, imageData: IImageShape, color: IHsl, particle: Particle): Promise<IParticleImage>;
